Validate script
Validates a script graph without saving it. Returns all diagnostics (errors and warnings) for the given nodes and edges. Useful for live validation in the editor without requiring a save.
Validates a script graph without saving it. Returns all diagnostics (errors and warnings) for the given nodes and edges. Useful for live validation in the editor without requiring a save.
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
The instance context for validation.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to validate a script graph without saving it.
nodes*array<>
The nodes to validate.
edges*array<>
The edges to validate.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/scripts:validate" \ -H "Content-Type: application/json" \ -d '{ "nodes": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "string", "position": { "x": 0.1, "y": 0.1 }, "muted": true, "collapsed": true, "parentFrameId": "string" } ], "edges": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "source": "string", "sourceHandle": "string", "target": "string", "targetHandle": "string", "edgeType": "EDGE_TYPE_EXECUTION" } ] }'{ "diagnostics": [ { "nodeId": "string", "edgeId": "string", "message": "string", "severity": "DIAGNOSTIC_ERROR" } ]}How is this page?
